Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteModbusRTUDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteModbusRTUDevice:

## Public Attributes

string | busInterface
| rs485 interface used for modbus communication More...
ModbusCfg::SerialSettings | busSettings
| interface settings
int | interframeDelayDeciChars
| (== 0) -> default, (< 0) -> no delay, (> 0) -> e.g. 35 means 3.5 chars
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteModbusDevice
map< int, string > | detectionIdentifiers
| list of expected device identifiers
int | unitId
| modbus server address
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Member Data Documentation

## busInterface

string peripheral::GatewaySensorManager::RemoteModbusRTUDevice::busInterface

rs485 interface used for modbus communication

only SRC-080X ist supported, possible values are

- "sensorhub0-rs485" means port "REMOTE HUB 1"
- "sensorhub1-rs485" means port "REMOTE HUB 2"

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl